clang 8.0.0

Public Member Functions | List of all members
clang::driver::RegisterEffectiveTriple Class Reference

Set a ToolChain's effective triple. More...

`#include "clang/Driver/ToolChain.h"`

## Public Member Functions
| RegisterEffectiveTriple (const ToolChain &TC, llvm::Triple T)
| ~RegisterEffectiveTriple ()

## Detailed Description

Set a ToolChain's effective triple.

Reset it when the registration object is destroyed.

Definition at line 572 of file ToolChain.h.

## Constructor & Destructor Documentation

## ◆ RegisterEffectiveTriple()

clang::driver::RegisterEffectiveTriple::RegisterEffectiveTriple | ( | const ToolChain & | TC,
|  | llvm::Triple | T
| ) |  |
| inline

Definition at line 576 of file ToolChain.h.

## ◆ ~RegisterEffectiveTriple()

clang::driver::RegisterEffectiveTriple::~RegisterEffectiveTriple | ( |  | ) |
| inline

Definition at line 580 of file ToolChain.h.

The documentation for this class was generated from the following file:

- include/clang/Driver/ToolChain.h